RFx API
31 endpoints. All requests need an Authorization header — see Authentication. API keys additionally need the matching scope.
| Method | Path | Description |
|---|---|---|
GET |
/api/tenant/content-blocks/ |
List Content Blocks Query: category, search, is_approved, limit, offset. |
POST |
/api/tenant/content-blocks/ |
Create Content Block Accepts a JSON body. |
POST |
/api/tenant/content-blocks/seed-pack |
Seed Question Pack Query: pack. |
GET |
/api/tenant/content-blocks/suggestions |
List Library Suggestions Query: status. |
POST |
/api/tenant/content-blocks/suggestions/{suggestion_id}/resolve |
Resolve Library Suggestion Query: action. |
GET |
/api/tenant/content-blocks/{block_id} |
Get Content Block |
PATCH |
/api/tenant/content-blocks/{block_id} |
Update Content Block Accepts a JSON body. |
DELETE |
/api/tenant/content-blocks/{block_id} |
Delete Content Block |
GET |
/api/tenant/rfps/ |
List Rfps Query: status, search, owner, limit, offset. |
POST |
/api/tenant/rfps/ |
Create Rfp Accepts a JSON body. |
GET |
/api/tenant/rfps/analytics/dashboard |
Rfx Analytics Dashboard |
POST |
/api/tenant/rfps/confirm-create |
Confirm Create Rfp Accepts a JSON body. |
GET |
/api/tenant/rfps/content-blocks/{block_id}/analytics |
Content Block Analytics |
GET |
/api/tenant/rfps/content-search |
Content Semantic Search Query: q, limit. |
POST |
/api/tenant/rfps/quick-upload |
Quick Upload Rfp Accepts a JSON body. |
POST |
/api/tenant/rfps/upload-analyze |
Upload Analyze Rfp Accepts a JSON body. |
GET |
/api/tenant/rfps/{rfp_id} |
Get Rfp |
PATCH |
/api/tenant/rfps/{rfp_id} |
Update Rfp Accepts a JSON body. |
DELETE |
/api/tenant/rfps/{rfp_id} |
Delete Rfp |
POST |
/api/tenant/rfps/{rfp_id}/auto-answer |
Auto Answer Rfp |
GET |
/api/tenant/rfps/{rfp_id}/document |
Serve Rfp Document |
GET |
/api/tenant/rfps/{rfp_id}/draft-progress |
Draft Progress |
GET |
/api/tenant/rfps/{rfp_id}/export/docx |
Export Rfp Docx |
GET |
/api/tenant/rfps/{rfp_id}/export/pdf |
Export Rfp Pdf |
GET |
/api/tenant/rfps/{rfp_id}/export/xlsx |
Export Rfp Xlsx |
POST |
/api/tenant/rfps/{rfp_id}/parse |
Parse Rfp Accepts a JSON body. |
POST |
/api/tenant/rfps/{rfp_id}/score |
Score Rfp |
PATCH |
/api/tenant/rfps/{rfp_id}/sections/{section_id} |
Update Section Accepts a JSON body. |
POST |
/api/tenant/rfps/{rfp_id}/sections/{section_id}/ai-draft |
Ai Draft Section |
GET |
/api/tenant/rfps/{rfp_id}/sections/{section_id}/comments |
List Comments |
POST |
/api/tenant/rfps/{rfp_id}/sections/{section_id}/comments |
Add Comment Accepts a JSON body. |
Try it
The full request/response schema for every endpoint is in the OpenAPI spec served by your own workspace.